<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6>CPT</h6>
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-1">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Assignments</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div class="form-row form-compressed">
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">CPT (30) Days</label>
              <dx-data-grid #cptGrid id="cptGrid" [dataSource]="cptList" keyExpr="cptId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="cptCustNumber" caption="CPT #" dataType="string" cellTemplate="linkIdTemplate"></dxi-column>
                <dxi-column dataField="companyName" caption="Company Name" dataType="string"></dxi-column>
                <dxi-column dataField="custShortName" caption="Customer Short Name" dataType="string"></dxi-column>
                <div *dxTemplate="let row of 'linkIdTemplate'">
                  <a class="hyperlink" (click)="selectionChangedHandler(row.data.cptId)">{{ row.value }}</a>
                </div>

              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">CPT Provisioning</label>
              <dx-data-grid #provGrid id="provGrid" [dataSource]="provList" keyExpr="cptId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="cptCustNumber" caption="CPT #" dataType="string" cellTemplate="linkIdTemplate"></dxi-column>
                <dxi-column dataField="companyName" caption="Company Name" dataType="string"></dxi-column>
                <dxi-column dataField="custShortName" caption="Customer Short Name" dataType="string"></dxi-column>
                <div *dxTemplate="let row of 'linkIdTemplate'">
                  <a class="hyperlink" (click)="selectionChangedHandler(row.data.cptId)">{{ row.value }}</a>
                </div>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">Gatekeeper</label>
              <dx-data-grid #gkGrid id="gkGrid" [dataSource]="gkList" keyExpr="cptId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="cptCustNumber" caption="CPT #" dataType="string" cellTemplate="linkIdTemplate"></dxi-column>
                <dxi-column dataField="companyName" caption="Company Name" dataType="string"></dxi-column>
                <dxi-column dataField="custShortName" caption="Customer Short Name" dataType="string"></dxi-column>
                <dxi-column dataField="gatekeeperName" caption="Assigned Resource" dataType="string"></dxi-column>
                <dxi-column dataField="returnedToSde" caption="Return to SDE" dataType="boolean" alignment="left"></dxi-column>
                <div *dxTemplate="let row of 'linkIdTemplate'">
                  <a class="hyperlink" (click)="selectionChangedHandler(row.data.cptId)">{{ row.value }}</a>
                </div>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">Manager</label>
              <dx-data-grid #managerGrid id="managerGrid" [dataSource]="managerList"
                            keyExpr="cptId" [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="cptCustNumber" caption="CPT #" dataType="string" cellTemplate="linkIdTemplate"></dxi-column>
                <dxi-column dataField="companyName" caption="Company Name" dataType="string"></dxi-column>
                <dxi-column dataField="custShortName" caption="Customer Short Name" dataType="string"></dxi-column>
                <dxi-column dataField="managerName" caption="Assigned Resource" dataType="string"></dxi-column>
                <div *dxTemplate="let row of 'linkIdTemplate'">
                  <a class="hyperlink" (click)="selectionChangedHandler(row.data.cptId)">{{ row.value }}</a>
                </div>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">MNS PM</label>
              <dx-data-grid #pmGrid id="pmGrid" [dataSource]="pmList" keyExpr="cptId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="cptCustNumber" caption="CPT #" dataType="string" cellTemplate="linkIdTemplate"></dxi-column>
                <dxi-column dataField="companyName" caption="Company Name" dataType="string"></dxi-column>
                <dxi-column dataField="custShortName" caption="Customer Short Name" dataType="string"></dxi-column>
                <dxi-column dataField="pmName" caption="Assigned Resource" dataType="string"></dxi-column>
                <div *dxTemplate="let row of 'linkIdTemplate'">
                  <a class="hyperlink" (click)="selectionChangedHandler(row.data.cptId)">{{ row.value }}</a>
                </div>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">Cancelled CPT's (30) Days</label>
              <dx-data-grid #cancelGrid id="cancelGrid" [dataSource]="cancelList" keyExpr="cptId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="cptCustNumber" caption="CPT #" dataType="string" cellTemplate="linkIdTemplate"></dxi-column>
                <dxi-column dataField="companyName" caption="Company Name" dataType="string"></dxi-column>
                <dxi-column dataField="custShortName" caption="Customer Short Name" dataType="string"></dxi-column>
                <dxi-column dataField="createdDate" caption="Cancelled Date"
                            dataType="string" cellTemplate="localStartTime"></dxi-column>
                <div *dxTemplate="let cell of 'localStartTime'">
                  <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
                </div>
                <div *dxTemplate="let row of 'linkIdTemplate'">
                  <a class="hyperlink" (click)="selectionChangedHandler(row.data.cptId)">{{ row.value }}</a>
                </div>
              </dx-data-grid>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>
    </div>
  </div>
</div>
